Issue 8735

Title
Invalid attribute "skiptest"
Priority
feature
Status
resolved
Nosy list
ced, mrichez, pokoli, reviewbot, roundup-bot, yangoon
Assigned to
pokoli
Keywords
review

Created on 2019-10-17.11:52:21 by mrichez, last changed 22 months ago by roundup-bot.

Messages

New changeset 8173c95dc363 by Sergi Almacellas Abellana in branch 'default':
Drop support for skiptest attribute on xml files
https://hg.tryton.org/tryton-env/rev/8173c95dc363
New changeset e1dc68ff0333 by Sergi Almacellas Abellana in branch 'default':
Drop support for skiptest attribute on xml files
https://hg.tryton.org/trytond/rev/e1dc68ff0333
New changeset 8faf07ce520a by Sergi Almacellas Abellana in branch '5.2':
Add missing skiptest attribute on xml validation
https://hg.tryton.org/trytond/rev/8faf07ce520a

New changeset 99f747cfdd53 by Sergi Almacellas Abellana in branch '5.0':
Add missing skiptest attribute on xml validation
https://hg.tryton.org/trytond/rev/99f747cfdd53

New changeset 6ea81b490665 by Sergi Almacellas Abellana in branch '4.8':
Add missing skiptest attribute on xml validation
https://hg.tryton.org/trytond/rev/6ea81b490665

New changeset 1d3575300104 by Sergi Almacellas Abellana in branch '4.6':
Add missing skiptest attribute on xml validation
https://hg.tryton.org/trytond/rev/1d3575300104

New changeset ef7b28835791 by Sergi Almacellas Abellana in branch '4.4':
Add missing skiptest attribute on xml validation
https://hg.tryton.org/trytond/rev/ef7b28835791
New changeset e0e6a68a2b23 by Sergi Almacellas Abellana in branch 'default':
Add missing skiptest attribute on xml validation
https://hg.tryton.org/tryton-env/rev/e0e6a68a2b23
New changeset dc3a2f95414f by Sergi Almacellas Abellana in branch 'default':
Add missing skiptest attribute on xml validation
https://hg.tryton.org/trytond/rev/dc3a2f95414f
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2019-10-17.19:48:24
El 17/10/19 a les 14:29, C├ędric Krier ha escrit:
> There is no point to hurry so it is better to wait after 5.4.

Then we should include review274091002 on 5.4 series as it currently crashes and remove the functionality for the next series.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2019-10-17.14:29:11
On 2019-10-17 13:56, Sergi Almacellas Abellana wrote:
> > I do not think anymore that it is useful since we do not load anymore countries nor currencies via XML.
> 
> I agree. Here is review270351002 which removes it.
> 
> As we are on feature freeze it's not clear for me if we should include this on 5.4 version or wait for next series and include the other review as fix. 

There is no point to hurry so it is better to wait after 5.4.
Author: [hidden] (yangoon) Tryton translator
Date: 2019-10-17.14:15:30
>> I think it is still useful for others. 
>> E.g. GNU Health has a lot of data marked with skiptest.
>
> Which kind of data? 

Static data.

> Is the data required to make the system work? 

I don't understand the question.

> Can it be imported with a script or something else?

I don't know, it was an example coming to my mind. And I still find it a legitimate use to import data that way. Only because the core modules were modified to use scripts it doesn't seem adequate to impose that method on other use cases.

mathiasb@monsterix:/home/gnuhealth/health$ grep -rn skiptest
tryton/health_surgery/data/health_surgery_sequence.xml:3:    <data skiptest="1">
tryton/health/data/pathology_groups.xml:3:    <data skiptest="1" noupdate="1">
tryton/health/data/medicament_form.xml:3:    <data skiptest="1" noupdate="1">
tryton/health/data/drug_administration_routes.xml:3:    <data skiptest="1" noupdate="1">
tryton/health/data/dose_units.xml:3:    <data skiptest="1" noupdate="1">
tryton/health/data/health_sequences.xml:3:    <data skiptest="1">
tryton/health/data/ethnic_groups.xml:3:    <data skiptest="1" noupdate="0">
tryton/health/data/medication_frequencies.xml:3:    <data skiptest="1" noupdate="1">
tryton/health/data/occupations.xml:3:    <data skiptest="1" noupdate="1">
tryton/trytond_country-5.0.1/scripts/countries.py:10:sys.stdout.write('    <data skiptest="1" grouped="1">\n')
tryton/trytond_country-5.0.1/scripts/countries.py:27:    sys.stdout.write('    <data skiptest="1" grouped="1">\n')
tryton/trytond_country-5.0.1/data.xml:3:    <data skiptest="1" grouped="1">
tryton/trytond_country-5.0.1/data.xml:1748:    <data skiptest="1" grouped="1">
tryton/trytond_country-5.0.1/data.xml:26474:    <data skiptest="1" grouped="1">
tryton/Changelog:16703:Include the skiptest in the datafiles of the medical module
tryton/health_lifestyle/data/recreational_drugs.xml:3:    <data noupdate="0" skiptest="1">
tryton/health_lifestyle/data/vegetarian_types.xml:3:    <data noupdate="0" skiptest="1">
tryton/health_lifestyle/data/diets_beliefs.xml:3:    <data skiptest="1" noupdate="1">
tryton/health_mdg6/data/lab_test_data.xml:3:    <data skiptest="1" noupdate="0">
tryton/health_icd10/data/disease_groups.xml:3:<data skiptest="1" noupdate="1">
tryton/health_icd10/data/disease_categories.xml:3:<data skiptest="1" noupdate="1">
tryton/health_icd10/data/diseases.xml:3:<data skiptest="1" noupdate="1">
tryton/health_icd10pcs/data/icd_10_pcs_2009_part1.xml:3:<data skiptest="1" noupdate="1">
tryton/health_icd10pcs/data/icd_10_pcs_2009_part2.xml:3:<data skiptest="1" noupdate="1">
tryton/health_icd10pcs/data/icd_10_pcs_2009_part3.xml:3:<data skiptest="1" noupdate="1">
tryton/trytond_currency-5.0.3/scripts/currencies.py:136:sys.stdout.write('    <data skiptest="1" grouped="1">\n')
tryton/trytond_currency-5.0.3/data.xml:3:    <data skiptest="1" grouped="1">
tryton/trytond_currency-5.0.3/currency.xml:106:    <data noupdate="1" skiptest="1">
tryton/health_genetics/data/disease_genes.xml:3:<data noupdate="0" skiptest="1">
tryton/health_genetics_uniprot/data/disease_genes_uniprot.xml:3:<data noupdate="0" skiptest="1">
tryton/health_icpm/data/icpm.xml:3:  <data noupdate="1" skiptest="1">
tryton/trytond_party-5.0.2/address.xml:89:    <data noupdate="1" grouped="1" skiptest="1">
tryton/health_ems/data/health_ems_sequence.xml:3:    <data skiptest="1">
tryton/health_ntd_dengue/data/lab_test_data.xml:3:    <data skiptest="1" noupdate="0">
tryton/health_ntd_chagas/data/lab_test_data.xml:3:    <data skiptest="1" noupdate="0">
tryton/health_disability/data/environmental_factors.xml:3:    <data skiptest="1" noupdate="1">
tryton/health_disability/data/body_structures.xml:3:    <data skiptest="1" noupdate="1">
tryton/health_disability/data/categories.xml:3:<data skiptest="1" noupdate="1">
tryton/health_disability/data/activity_and_participation.xml:3:    <data skiptest="1" noupdate="1">
tryton/health_disability/data/body_functions.xml:3:    <data skiptest="1" noupdate="1">
tryton/health_who_essential_medicines/data/medicament_categories.xml:3:    <data skiptest="1" noupdate="1">
tryton/health_who_essential_medicines/data/WHO_list_of_essential_medicines.xml:3:<data skiptest="1" noupdate="0">
tryton/health_inpatient/data/health_inpatient_sequence.xml:3:    <data skiptest="1">
tryton/health_inpatient/data/inpatient_diets.xml:3:    <data skiptest="1" noupdate="1">
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2019-10-17.13:56:16
> I do not think anymore that it is useful since we do not load anymore countries nor currencies via XML.

I agree. Here is review270351002 which removes it.

As we are on feature freeze it's not clear for me if we should include this on 5.4 version or wait for next series and include the other review as fix. 

P.S: I will also wait for yangoon response to see if there is some valid usage from GNU Health.
Author: [hidden] (mrichez)
Date: 2019-10-17.13:51:01
In our case, it's used to "unactive" useless uom... and in a custom module incoterms, to load default incoterms (EXW, CIF, ...)
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2019-10-17.13:47:20
> I think it is still useful for others. 


> E.g. GNU Health has a lot of data marked with skiptest.

Which kind of data? 
Is the data required to make the system work? 
Can it be imported with a script or something else?
Author: [hidden] (yangoon) Tryton translator
Date: 2019-10-17.13:33:46
I think it is still useful for others. E.g. GNU Health has a lot of data marked with skiptest.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2019-10-17.12:53:00
I do not think anymore that it is useful since we do not load anymore countries nor currencies via XML.
Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2019-10-17.12:21:14
Here is review274091002 that should fix it.
Author: [hidden] (mrichez)
Date: 2019-10-17.11:52:20
When doing tests on module having an xml file with and attribute skiptest, here's the error: lxml.etree.DocumentInvalid: Invalid attribute skiptest for element data, line xx
History
Date User Action Args
2019-11-15 20:45:40roundup-botsetmessages: + msg53234
2019-11-15 20:45:33roundup-botsetmessages: + msg53233
2019-10-31 00:01:26roundup-botsetstatus: testing -> resolved
messages: + msg52823
keyword: - backport
2019-10-23 01:11:25cedsetpriority: bug -> feature
type: behavior -> feature request
2019-10-22 10:32:08reviewbotsetmessages: + msg52602
2019-10-22 10:11:24pokolisetstatus: resolved -> testing
2019-10-22 10:09:27roundup-botsetmessages: + msg52599
2019-10-22 10:08:15roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg52598
2019-10-17 19:48:25pokolisetmessages: + msg52553
2019-10-17 14:29:12cedsetmessages: + msg52544

Showing 10 items. Show all history (warning: this could be VERY long)